<template>
	<div v-if="loading">
		<h4>Loadding</h4>
	</div>
	<div v-else>
		<section class="content">
			<div class="row">
				<div class="col-md-12">
					<div class="box box-primary">
						<div class="box-body">
							<router-link :to="{ name:'Location-Add' }" class="btn btn-primary pull-right tbl-btn-right"><i
								class="fa fa-plus"></i> Add New Customization
							</router-link>
							<table id="locations" class="table table-bordered table-striped">
								<thead>
								<tr>
									<th>Location</th>
									<th>Points</th>
									<th class="no-sort">Actions</th>
								</tr>
								</thead>
								<tbody>

								</tbody>
							</table>
						</div>
						<!-- /.box-body -->
					</div>
					<!-- /.box -->
				</div>
			</div>
		</section>
		<div class="modal fade" id="modal-confirm">
			<div class="modal-dialog modal-sm">
				<div class="modal-content">
					<div class="modal-header">
						<button @click="cancel" type="button" class="close" data-dismiss="modal" aria-label="Close">
							<span aria-hidden="true">&times;</span></button>
						<h4 class="modal-title">Confirmation</h4>
					</div>
					<div class="modal-body">
						<p>{{deleteMsg}}</p>
					</div>
					<div class="modal-footer">
						<button v-show="!locationNeedDeleted" @click="cancel" type="button" class="btn btn-default pull-left"
								data-dismiss="modal">OK
						</button>
						<button v-show="locationNeedDeleted" @click="cancel" type="button" class="btn btn-default pull-left"
								data-dismiss="modal">No
						</button>
						<button v-show="locationNeedDeleted" @click="remove" type="button" class="btn btn-primary">Yes</button>
					</div>
				</div>
				<!-- /.modal-content -->
			</div>
			<!-- /.modal-dialog -->
		</div>
		<!-- /.modal -->
	</div>
</template>

<script src='./Management.js'></script>
